Subject: bug#46882: 26.3; Let `dired-omit-mode' match lines, as well as file names

From: Juri Linkov <[email-masked]>
Date: Mon, 20 Jun 2022 19:49:22 +0300

>> When the new option is non-nil, `dired-omit-mode' calls
>> `dired-omit-expunge' a second time, to omit matching lines.
>
> Seems to work well; I've now pushed to Emacs 29 (with some changes).

Its counterpart variable is `dired-omit-files' that is a regexp.
Shouldn't the new variable be named with the same naming scheme
for consistency?  I.e. just `dired-omit-lines'.  Even so that
it's not just a regexp, but can be a symbol of a function name.